This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 177162 - [68cat] ClassCastException: com.sun.java.swing.plaf.nimbus.DerivedColor$UIResource cannot be cast to [I
Summary: [68cat] ClassCastException: com.sun.java.swing.plaf.nimbus.DerivedColor$UIRes...
Status: RESOLVED WORKSFORME
Alias: None
Product: platform
Classification: Unclassified
Component: Window System (show other bugs)
Version: 6.x
Hardware: All All
: P3 normal with 1 vote (vote)
Assignee: issues@platform
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-19 01:02 UTC by mkroll
Modified: 2010-10-20 15:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Exception Reporter: 156516


Attachments
stacktrace (1.68 KB, text/plain)
2009-11-19 01:02 UTC, mkroll
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mkroll 2009-11-19 01:02:23 UTC
Build: NetBeans IDE Dev (Build 200911180645)
VM: Java HotSpot(TM) Client VM, 14.3-b01, Java(TM) SE Runtime Environment, 1.6.0_17-b04
OS: Windows XP, 5.1, x86

User Comments:
limo42: Started IDE with Nimbus.



Stacktrace: 
java.lang.ClassCastException: com.sun.java.swing.plaf.nimbus.DerivedColor$UIResource cannot be cast to [I
        at javax.swing.plaf.basic.BasicMenuUI.updateMnemonicBinding(BasicMenuUI.java:98)
        at javax.swing.plaf.basic.BasicMenuUI$Handler.propertyChange(BasicMenuUI.java:396)
        at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
        at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
        at java.awt.Component.firePropertyChange(Component.java:8128)
        at javax.swing.JComponent.putClientProperty(JComponent.java:4027)
Comment 1 mkroll 2009-11-19 01:02:26 UTC
Created attachment 91310 [details]
stacktrace
Comment 2 Stanislav Aubrecht 2010-10-20 15:22:00 UTC
all exceptions reports are from nb 6.8 - please reopen if reproducible in nb 6.9 or later, thanks